#pragma once

#include	"Core/GameState.h"

class	CAliens;

// start-state class is derived from CGameState
class CStateStart : public CGameState
{
public:
	// constructor / destructor
	CStateStart();
	~CStateStart();

	// inherited via CGameState
	EGameState			Run(float fFrameTime);
	void				Reset();

private:
	friend class CSpaceShooterApp;

	// reference of CAliens class-pointer
	CAliens*	m_refAliens	= 0L;

	// text id for 'game start' text
	int			m_iStartTxtID = 0;

	// music id for music loop
	int			m_iTrack1MsxID = 0;
};
